> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Un Allocated Safe Wallet

> Lists legacy Safe wallets with status=false (unallocated) for an org, cursor-paginated.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-un-allocated-safe-wallet
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-un-allocated-safe-wallet:
    post:
      operationId: getUnAllocatedSafeWallet
      summary: Get Un Allocated Safe Wallet
      x-toku-required-scope: wallets:read
      description: >-
        Lists legacy Safe wallets with status=false (unallocated) for an org,
        cursor-paginated.


        Required scope: `wallets:read`
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetUnAllocatedSafeWalletRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUnAllocatedSafeWalletResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetUnAllocatedSafeWalletRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        safeWalletID:
          type: string
          format: uuid
        cursor:
          type: object
          properties:
            safeWalletID:
              type: string
              format: uuid
          required:
            - safeWalletID
        limit:
          type: integer
          minimum: 1
          maximum: 20
    GetUnAllocatedSafeWalletResponse:
      type: object
      properties:
        safeWallets:
          type: array
          items: {}
        nextCursor: {}
        totalSafeWalletsCounts:
          type: integer
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
